# Uses of Interface
org.springframework.web.server.session.WebSessionIdResolver

Packages that use WebSessionIdResolver
Package
Description
org.springframework.web.server.session
Auxiliary interfaces and implementation classes for `WebSession` support.

## Uses of WebSessionIdResolver in org.springframework.web.server.session

Classes in org.springframework.web.server.session that implement WebSessionIdResolver
Modifier and Type
Class
Description
`class`
`CookieWebSessionIdResolver`
Cookie-based `WebSessionIdResolver`.
`class`
`HeaderWebSessionIdResolver`
Request and response header-based `WebSessionIdResolver`.
Methods in org.springframework.web.server.session that return WebSessionIdResolver
Modifier and Type
Method
Description
`WebSessionIdResolver`
DefaultWebSessionManager.`getSessionIdResolver()`
Return the configured `WebSessionIdResolver`.
Methods in org.springframework.web.server.session with parameters of type WebSessionIdResolver
Modifier and Type
Method
Description
`void`
DefaultWebSessionManager.`setSessionIdResolver(WebSessionIdResolver sessionIdResolver)`
Configure the id resolution strategy.